/* sane - Scanner Access Now Easy.
   Copyright (C) 1996 David Mosberger-Tang
   This file is part of the SANE package.

   SANE is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   SANE is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.

   You should have received a copy of the GNU General Public License
   along with sane; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Generic interface to SCSI drivers.  */

#ifndef genscsi_h
#define genscsi_h

#include <sys/types.h>
#include <scsi/sg.h>

#include <sane.h>

#define GENSCSI_MAX_REQUEST_SIZE	SG_BIG_BUFF

extern SANE_Status genscsi_open (const char * device_name, int * fd);
extern SANE_Status genscsi_cmd (int fd,
				const void * src, size_t src_size,
				void * dst, size_t * dst_size);
extern void genscsi_close (int fd);

#endif /* genscsi_h */
