/* sane - Scanner Access Now Easy.
   Copyright (C) 1996 David Mosberger-Tang and Andreas Beck
   This file is part of the SANE package.

   SANE is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   SANE is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.

   You should have received a copy of the GNU General Public License
   along with sane; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   This file declares SANE internal routines that are provided to
   simplify backend implementation.  */

#ifndef sanei_h
#define sanei_h

#ifdef NDEBUG
# define DBG(level, msg, args...)
#else
# include <stdio.h>
# define DBG(level, msg, args...)		\
  do {						\
    if (sanei_debug_level >= (level))		\
      fprintf (stderr, msg, ##args);		\
  } while (0)
  extern sanei_debug_level;
#endif

extern SANE_Status sanei_constrain_value (const SANE_Option_Descriptor * opt,
					  void * value, SANE_Word * info);

#endif /* sanei_h */
